#!/bin/sh

echo "Content-type: text/html"
echo
echo "<html><body><h2>Stop internet connection</h2><pre>"

PIDS=`ps h -C ipppd | gawk '{print $1}'`
if [ ! -z "$PIDS" ]
then
  echo "Disconnect in progress..."
  sudo /sbin/isnctrl dialmode ippp1 manual
  sudo /sbin/isnctrl dialmode ippp0 manual
  sudo /sbin/isnctrl hangup ippp1
  sudo /sbin/isnctrl hangup ippp0

  Number=`sudo /sbin/isdnctrl list ippp0 | grep Outgoing | gawk -F ':' '{print $2}'`

  if [ ! -z "$Number" ]
  then
    for n in $Number
    do
      sudo /sbin/isdnctrl delphone ippp0 out $n
      sudo /sbin/isdnctrl delphone ippp1 out $n
    done
  fi

  sudo /bin/kill $PIDS
  sleep 1
  ps h -C ipppd > /dev/null 2>&1
  i=$?
  while [ $i -eq 0 ]
  do
    sleep 1
    ps h -C ipppd > /dev/null 2>&1
    i=$?
  done
  echo "Disconnect successfully..."
else
  echo "No channel is connected..."
fi

echo "</pre><BR><BR><form>"
echo "<input type=button value=\"Ok\" onClick=\"history.back()\">"
echo "</form></body></html>"
exit 0
