#!/bin/sh

echo "Content-type: text/html"
echo
echo "<html><body><h2>start internet connection</h2><pre>"

Provider=`echo $QUERY_STRING | /usr/bin/gawk -F '=' '{print $2}'`

if [ -z "$Provider" ]
then
  echo "No provider selected..."
  echo "</pre><BR><BR><form>"
  echo "<input type=button value=\"Ok\" onClick=\"history.back()\">"
  echo "</form></body></html>"
  exit 1
fi

PIDFILE=/var/run/ppp0.pid
PIDFILE2=/var/run/ppp0.pid

PIDS=`ps h -C pppd | gawk '{print $1}'`
if [ ! -z "$PIDS" ]
then
#pppd is running
DEVICE=`cat /proc/net/dev | gawk -F ':' '{print$1}' | grep ppp0` > /dev/null 2>&1
  if [ $? -ne 0 ]
  then
    echo "1st channel is offline..."
    echo "</pre><BR><BR><form>"
    echo "<input type=button value=\"Ok\" onClick=\"history.back()\">"
    echo "</form></body></html>"
    exit 1
  fi
  IP=`sudo /sbin/ifconfig $DEVICE | grep "inet addr" | gawk '{print $2}' | gawk -F ':' '{print $2}'`
  if [ "$IP" == "192.168.0.1" ]
  then
    echo "1st channel is offline..."
    echo "</pre><BR><BR><form>"
    echo "<input type=button value=\"Ok\" onClick=\"history.back()\">"
    echo "</form></body></html>"
    exit 1
  fi

  DEVICE=`cat /proc/net/dev | gawk -F ':' '{print$1}' | grep ppp1` > /dev/null 2>&1
  if [ $? -eq 0 ]
  then
    IP=`sudo /sbin/ifconfig $DEVICE | grep "inet addr" | gawk '{print $2}' | gawk -F ':' '{print $2}'`
    echo "IP=$IP"
    if [ "$IP" == "192.168.0.1" ]
    then
      #first channel activated
      #second channel deactivated
      #==> add 2nd channel
      echo "connecting to $Provider..."
      sudo /sbin/pppd connect /bin/true call isdn/$Provider
    else
      echo "2nd channel is already activated..."
    fi
  else
    echo "connecting to $Provider..."
    sudo /sbin/pppd connect /bin/true call isdn/$Provider
  fi
else
  echo "1st channel is offline..."
fi

echo "</pre><BR><BR><form>"
echo "<input type=button value=\"Ok\" onClick=\"history.back()\">"
echo "</form></body></html>"
exit 0