#!/bin/sh

echo "Content-type: text/html"
echo
echo "<html><body><h2>start internet connection</h2><pre>"

PIDFILE=/var/run/ipppd.ippp0.pid
Provider=`echo $QUERY_STRING | gawk -F '=' '{print $2}'`

case "$Provider" in
nexgo)
  Number="0192072"
  ;;
nexgo2)
  Number="80961030"
  ;;
otelo)
  Number="28702000"
  ;;
mirado)
  Number="22188988"
  ;;
tub)
  Number="3984780"
  ;;
*)
  echo "No provider selected..."
  echo "</pre><BR><BR><form>"
  echo "<input type=button value=\"Ok\" onClick=\"history.back()\">"
  echo "</form></body></html>"
  exit 1
  ;;
esac

PIDS=`ps h -C ipppd | gawk '{print $1}'`
if [ ! -z "$PIDS" ]
then
   #ipppd is running, kill all old instances
   DEVICE=`cat /proc/net/dev | grep ippp0 | gawk -F ':' '{print$1}'` > /dev/null 2>&1
   IP=`sudo /sbin/ifconfig $DEVICE | grep "inet addr" | gawk '{print $2}' | gawk -F ':' '{print $2}'`
   sudo /sbin/isdnctrl hangup ippp1
   sudo /sbin/isdnctrl hangup ippp0
   sudo /bin/kill $PIDS

   sleep 1
   ps h -C ipppd > /dev/null 2>&1
   i=$?
   while [ $i -eq 0 ]
   do
     sleep 1
     ps h -C ipppd > /dev/null 2>&1
     i=$?
   done
fi

#delete outgoing numbers
Nummer=`sudo /sbin/isdnctrl list ippp0 | grep Outgoing | gawk -F ':' '{print $2}'`
if [ ! -z "$Nummer" ]
then
  for n in $Nummer
  do
    sudo /sbin/isdnctrl delphone ippp0 out $n
    sudo /sbin/isdnctrl delphone ippp1 out $n
  done
fi

echo "connecting to $Provider ($Number) ..."
sudo -b /sbin/ipppd pidfile $PIDFILE file /etc/ppp/ioptions_$Provider
sleep 1
sudo /sbin/isdnctrl addphone ippp0 out $Number
sudo /sbin/isdnctrl addphone ippp1 out $Number
sudo /sbin/isdnctrl dialmode ippp0 auto
sleep 1
sudo /sbin/isdnctrl dial ippp0

echo "</pre><BR><BR><form>"
echo "<input type=button value=\"Ok\" onClick=\"history.back()\">"
echo "</form></body></html>"
exit 0